import request from '@/utils/request'

// 查询通报处置列表
export function listTbcz(query) {
  return request({
    url: '/tcZz/networkSecurity/tbcz/list',
    method: 'get',
    params: query
  })
}

// 查询通报处置详细
export function getTbcz(id) {
  return request({
    url: '/tcZz/networkSecurity/tbcz/' + id,
    method: 'get'
  })
}

// 新增通报处置
export function addTbcz(data) {
  return request({
    url: '/tcZz/networkSecurity/tbcz',
    method: 'post',
    data: data
  })
}

// 修改通报处置
export function updateTbcz(data) {
  return request({
    url: '/tcZz/networkSecurity/tbcz',
    method: 'put',
    data: data
  })
}

// 删除通报处置
export function delTbcz(id) {
  return request({
    url: '/tcZz/networkSecurity/tbcz/' + id,
    method: 'delete'
  })
}
